define Build/traverse-fit-ls1088
	$(TOPDIR)/target/linux/layerscape/image/mkits-multiple-config.sh -o $@.its -A $(LINUX_KARCH) \
	-v $(LINUX_VERSION) -k $@ -a $(KERNEL_LOADADDR) \
	-e $(if $(KERNEL_ENTRY),$(KERNEL_ENTRY),$(KERNEL_LOADADDR)) \
	-C gzip -c 1 -c 2 \
	-d $(DTS_DIR)/freescale/fsl-ls1088a-ten64.dtb \
	-D "TEN64" -n "ten64" -a $(FDT_LOADADDR) -c 1 \
	-d $(DTS_DIR)/freescale/fsl-ls1088a-rdb.dtb \
	-D "LS1088ARDB" -n "ls1088ardb" -a $(FDT_LOADADDR) -c 2
	PATH=$(LINUX_DIR)/scripts/dtc:$(PATH) mkimage -f $@.its $@.new
	@mv -f $@.new $@
endef

define Device/generic
  DEVICE_TITLE := Generic EFI Boot
  DEVICE_PACKAGES :=
  GRUB2_VARIANT := generic
  FILESYSTEMS := ext4
endef
TARGET_DEVICES += generic

define Device/ten64-mtd
  DEVICE_VENDOR := Traverse
  DEVICE_MODEL := Ten64
  DEVICE_VARIANT := NAND
  DEVICE_PACKAGES := uboot-envtools
  FILESYSTEMS := squashfs
  KERNEL_LOADADDR := 0x80000000
  KERNEL_ENTRY_POINT := 0x80000000
  FDT_LOADADDR := 0x90000000
  KERNEL_SUFFIX := -kernel.itb
  DEVICE_DTS := freescale/fsl-ls1088a-ten64
  IMAGES := nand.ubi sysupgrade.tar
  KERNEL := kernel-bin | gzip | traverse-fit-ls1088 gzip $$(DTS_DIR)/$$(DEVICE_DTS).dtb $$(FDT_LOADADDR)
  IMAGE/sysupgrade.tar := sysupgrade-tar | append-metadata
  IMAGE/nand.ubi := append-ubi
  KERNEL_IN_UBI := 1
  BLOCKSIZE := 128KiB
  PAGESIZE := 2048
  MKUBIFS_OPTS := -m $$(PAGESIZE) -e 124KiB -c 600
  SUPPORTED_DEVICES = traverse,ten64
endef

TARGET_DEVICES += ten64-mtd
